Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.security
Class Certificate

    java.lang.Object
      |
      +--weblogic.security.Certificate

Direct Known Subclasses:
  X509

public abstract class Certificate
extends java.lang.Object

A generic certificate class, consisting of a key, a holder of the certificate, and a validated bit. An example of a subclass is X509.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `X509`

Field Summary
`protected weblogic.security.Entity` | `holder` The holder of the certificate.
`protected weblogic.security.Key` | `key` The key associated with the certificate.
`protected boolean` | `validated` True if certificate is valid, false otherwise.

Constructor Summary
`Certificate()`
`Certificate(java.io.File file)` Initialize certificate from a file.
`Certificate(java.io.InputStream is)` Initialize certificate from a InputStream.
`Certificate(java.net.URL url)` Initialize certificate from a URL.

Method Summary
`weblogic.security.Entity` | `getHolder()` Get the holder associated with the certificate.
`weblogic.security.Key` | `getKey()` Get the key associated with the certificate.
`void` | `initialize(java.io.File file)` Initialize from a file.
`abstract void` | `initialize(java.io.InputStream is)` This method actually performs the certificate initialization; implemented by a Certificate subclass.
`void` | `initialize(java.net.URL url)` Initialize from a URL.
`abstract void` | `save(java.io.OutputStream os)` Output the bytes needed for initialize(InputStream) to regenerate the certificate.
`boolean` | `valid()` Return true if certificate has been validated, false otherwise.
`abstract boolean` | `verify()` Verify the certificate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### holder

    protected weblogic.security.Entity holder

  The holder of the certificate.

### validated

    protected boolean validated

  True if certificate is valid, false otherwise.

### key

    protected weblogic.security.Key key

  The key associated with the certificate.

Constructor Detail

### Certificate

    public Certificate()

### Certificate

    public Certificate(java.io.InputStream is)
                throws KeyManagementException

  Initialize certificate from a InputStream.

### Certificate

    public Certificate(java.io.File file)
                throws KeyManagementException

  Initialize certificate from a file.

### Certificate

    public Certificate(java.net.URL url)
                throws KeyManagementException

  Initialize certificate from a URL.

Method Detail

### initialize

    public abstract void initialize(java.io.InputStream is)
                             throws KeyManagementException

  This method actually performs the certificate initialization; implemented by a Certificate subclass.

### initialize

    public void initialize(java.io.File file)
                    throws KeyManagementException

  Initialize from a file.

### initialize

    public void initialize(java.net.URL url)
                    throws KeyManagementException

  Initialize from a URL.

### save

    public abstract void save(java.io.OutputStream os)

  Output the bytes needed for initialize(InputStream) to regenerate the certificate.

### verify

    public abstract boolean verify()
                            throws KeyManagementException,
                                   AuthenticationException

  Verify the certificate.

### valid

    public boolean valid()

  Return true if certificate has been validated, false otherwise.

### getKey

    public weblogic.security.Key getKey()

  Get the key associated with the certificate.

### getHolder

    public weblogic.security.Entity getHolder()

  Get the holder associated with the certificate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD